LinusTechTips Minecraft Network
Minecraft IP: mc.ltt.gg

support for minecraft version 1.16.X

TTG3333

New member
TTG3333
TTG3333
Void
Apr 18, 2020
29
6
3
Canada
cant have nertheride
If your concern is not being able to play on 1.16, the Survival and Vanilla Survival realms already are on 1.16.1, and the Towny realm will update to 1.16.1 as soon as some dependencies are resolved, as said here.